Version: 3.9.5
Release: alt4
Name: emacs-sml-mode
License: GPL
Group: Editors
Url: ftp://ftp.research.bell-labs.com/dist/smlnj/contrib/emacs/
Summary: Standard ML mode for Emacs
Summary(ru_RU.KOI8-R):   Emacs    Standard ML

Source: ftp://ftp.research.bell-labs.com/dist/smlnj/contrib/emacs/sml-mode-%version.tar.gz
Source1: sml-mode-emacs.el

BuildArch: noarch
Requires: emacs-common

# Automatically added by buildreq on Thu Aug 05 2002
BuildRequires: emacs-common

%description
This package contains an emacs major mode for editing Standard ML source code.

%description -l ru_RU.KOI8-R
       
    Standard ML.

%prep
%setup -n sml-mode-%version

%build
make prefix=%prefix

%install
mkdir -p %buildroot%_emacslispdir/sml-mode/
install -m 644 *.el* %buildroot%_emacslispdir/sml-mode/

mkdir -p %buildroot%_infodir
install -m 644 sml-mode.info %buildroot%_infodir

mkdir -p %buildroot%_sysconfdir/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot%_sysconfdir/emacs/site-start.d/sml-mode.el

%post
%install_info sml-mode.info

%preun
%uninstall_info sml-mode.info

%files
%doc README ChangeLog BUGS INSTALL NEWS TODO testcases.sml
%dir %_emacslispdir/sml-mode/
%_emacslispdir/sml-mode/*.el*
%_infodir/*
%_sysconfdir/emacs/site-start.d/*

%changelog
* Mon Sep 29 2003 Ott Alex <ott@altlinux.ru> 3.9.5-alt4
- Fixing URL 
- cleanup spec

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 3.9.5-alt3
- fixing spec

* Wed Dec 25 2002 Ott Alex <ott@altlinux.ru> 3.9.5-alt1
- Initial build
